[Frugalware-devel] [NEW PACKAGE] obkey

Miklos Vajna vmiklos at frugalware.org
Mon Mar 29 22:27:48 CEST 2010


On Mon, Mar 29, 2010 at 09:38:58PM +0200, Exceed <cedric.archambeau at gmail.com> wrote:
> Le 28/03/2010 20:32, Adrien Ramos a écrit :
> > A pygtk program which help openbox's keybinding configuration.
> > Sorry for the devel version but there are no others.
> 
> Objection about this devel version?

I don't nind having a devel version for such a non-critical project, but
using dev-$hash is not something pacman can understand when you upgrade.

Looks like the has is the git one, so usually the way to go would be to
git clone the repo and use the 'git describe' output as pkgver.

Unfortunately it does not have a tagged version, either, so that won't
work, but this one:

$ echo $(git rev-list e63aa00|wc -l).e63aa00
34.e63aa00

Gives a version that pacman can understand. (For example when the
current git version is released, it could be 39.39969e9, and pacman will
see that it needs to update the package.)
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
URL: </pipermail/attachments/20100329/a3c00049/attachment.asc>


More information about the Frugalware-devel mailing list